COLUMN(1)

NAME
column - columnate lists

SYNOPSIS
column [-tx] [-c columns] [-s sep] [file ...]

DESCRIPTION
The column utility formats its input into multiple columns. Each input line provides the text for one output cell. Columns are filled before rows.

The column width is determined by the longest input line rounded up to the nearest tabstop; tabstops are assumed to be at multiples of eight. Output uses tab characters to advance to the next column. The number of columns is chosen to fill the terminal width.

Input is taken from file operands or, by default, from the standard input. Empty lines and lines containing only whitespace are ignored.

The options are as follows:

-c columns
    Output is formatted for a display columns wide.

-s sep
    Specify a set of characters to delimit columns for the -t option. It defaults to space and tab.

-t  Table mode. Each input line provides the text for one output row. It is split into cells using the -s option. Leading, trailing, and multiple adjacent delimiters are ignored. Each column is as wide as the widest cell in it. Columns are separated by two spaces.

-x  Fill rows before filling columns.

ENVIRONMENT

COLUMNS
    If set to a positive integer, output is formatted to the given width in display columns. Otherwise, column defaults to the terminal width, or 80 columns if the output is not a terminal.

LC_CTYPE
    The character encoding locale(1). It decides which byte sequences form characters, what their display width is, and which characters are whitespace. If unset or set to "C", "POSIX", or an unsupported value, each byte except the tab is treated as a character of display width 1.

EXIT STATUS

SEE ALSO
colrm(1), fmt(1), paste(1), rs(1)

HISTORY
The column command appeared in 4.3BSD Reno.